PhaseException (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.twopc
Class PhaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              bitronix.tm.twopc.PhaseException

All Implemented Interfaces:
  Serializable

    public class PhaseException

extends Exception

Thrown when a phase exection has thrown one or more exception(s).

Author:
  lorban
See Also:
  Serialized Form

Constructor Summary
`PhaseException(List<Exception> exceptions, List<XAResourceHolderState> resourceStates)`

Method Summary
`List<Exception>` | `getExceptions()` Get the list of exceptions that have been thrown during a phase execution.
`String` | `getMessage()`
`List<XAResourceHolderState>` | `getResourceStates()` Get the list of resource which threw an exception during a phase execution.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhaseException

    public PhaseException(List<Exception> exceptions,
                          List<XAResourceHolderState> resourceStates)

Method Detail

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getExceptions

    public List<Exception> getExceptions()

  Get the list of exceptions that have been thrown during a phase execution.

  Returns:
    the list of exceptions that have been thrown during a phase execution.

### getResourceStates

    public List<XAResourceHolderState> getResourceStates()

  Get the list of resource which threw an exception during a phase execution. This list always contains exactly one resource per exception present in `getExceptions()` list. Indices of both list always match a resource against the exception it threw.

  Returns:
    the list of resource which threw an exception during a phase execution.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.